• 0

PZ wont launch
2 2

Question

So i just bought project zomboid on desura, however it wont launch.

 

I have both 32 bit and 64 bit java as said is required on the wiki.

 

I use Ubuntu 12.04 64bit

 

I ran it in terminal and the error message i get is

 

Exception in thread "main" java.lang.NoClassDefFoundError: zombie/gameStates/GameStateMachine$StateAction
    at java.lang.Class.getDeclaredMethods0(Native Method)
    at java.lang.Class.privateGetDeclaredMethods(Class.java:2521)
    at java.lang.Class.getMethod0(Class.java:2764)
    at java.lang.Class.getMethod(Class.java:1653)
    at sun.launcher.LauncherHelper.getMainMethod(LauncherHelper.java:494)
    at sun.launcher.LauncherHelper.checkAndLoadMain(LauncherHelper.java:486)
Caused by: java.lang.ClassNotFoundException: zombie.gameStates.GameStateMachine$StateAction
    at java.net.URLClassLoader$1.run(URLClassLoader.java:366)
    at java.net.URLClassLoader$1.run(URLClassLoader.java:355)
    at java.security.AccessController.doPrivileged(Native Method)
    at java.net.URLClassLoader.findClass(URLClassLoader.java:354)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:424)
    at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:308)
    at java.lang.ClassLoader.loadClass(ClassLoader.java:357)
    ... 6 more
 

If anyone could help that would be great. Thanks for your time!

Share this post


Link to post
Share on other sites

11 answers to this question

Recommended Posts

Did you happen to try extracting one version atop the other?

What version of the game are you trying to install, and have you had Project Zomboid working successfully prior to this?

Share this post


Link to post
Share on other sites

Did you happen to try extracting one version atop the other?

What version of the game are you trying to install, and have you had Project Zomboid working successfully prior to this?

I havent tried extracting one version ontop of another, im not sure how you would want me to do that.

I am trying to run the latest version of PZ and have tried it on both the 64bit version and the 32bit, both have failed to work.

It hasn't worked previously.

Thanks :)

Share this post


Link to post
Share on other sites

Duude, you're running the .sh script right? Did you try installing the deb package?

Yeah just ran the sh script but also have tried to launch though desura. Where can i install the deb package?

Thanks :)

Share this post


Link to post
Share on other sites

Good question. Seems like the deb package is no longer available.

 

The problem is familiar but only occured to me when I didn't run the sh properly. What's in your projectzomboid.sh file?

Share this post


Link to post
Share on other sites

If you're playing the version downloaded via the Desura client, did you previously have one of the 0.2.0 versions installed? If so, you might want to try uninstalling PZ via Desura, removing all leftover files somewhere in desura directory/common/project-zomboid (can't remember the path, but it was something along those lines) and reinstalling the game.

Share this post


Link to post
Share on other sites

The downside of using stand-alone versions of the game is that they require manually updating them. When a new update is released (the title of a thread in PZ Downloads changes from UPCOMING to RELEASED), it'll be necessary to download it again from the above link. You then extract this to a convenient location.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
2 2